Recent

Author Topic: Install Lazarus 1.8.4 on Linux Mint 18.2 / Linux Lite 4.2  (Read 1311 times)

incendio

  • Jr. Member
  • **
  • Posts: 88
Install Lazarus 1.8.4 on Linux Mint 18.2 / Linux Lite 4.2
« on: December 13, 2018, 11:19:11 am »
Hi guys,

Want to share my experience with installation Lazarus 1.8.4.
1) Download all requirement file (3 files)
2) After download, don't install yet, go to Synaptic Package Manager, choose Setting->Preferences
3) Click Consider Recomended packages as Dependencies
4) Click Apply
5) With Synaptic Package Manager remove installed fpc and fp-*
6) Open location on download folder
7) Double click download file, start with fpc* and last, double click lazarus*

That's all, Mint will install and download files needed if necessary.

Update :
This method also applied with Linux Lite 4.2 64 bit.
« Last Edit: December 15, 2018, 09:31:44 am by incendio »

Handoko

  • Hero Member
  • *****
  • Posts: 3042
  • My goal: build my own game engine using Lazarus
Re: Install Lazarus 1.8.4 on Linux Mint 18.2
« Reply #1 on: December 13, 2018, 12:39:33 pm »
Thank you for sharing the installation steps.

I don't use Linux Mint. Any Mint user here? Please test it and report back the result. Lazarus has installation issue with Ubuntu and its variants. It is good to collect different installation instructions.

RayoGlauco

  • Jr. Member
  • **
  • Posts: 85
  • Beers: 1567
Re: Install Lazarus 1.8.4 on Linux Mint 18.2
« Reply #2 on: December 13, 2018, 02:22:56 pm »
Months ago, I reinstalled Linux Mint 19 and then, 3 Lazarus & fp .deb packages downloaded from lazarus-ide.org. All was ok.

Later, I installed a Lazarus update offered by Linux Mint, and then Lazarus disapeared.
So, I uninstalled all fp* & laz* packages, I reinstalled FP & Lazarus downloaded again from lazarus-ide.org, and Lazarus is working again.

When Linux Mint offered again that update to me, I marked it as "don't tell me again about this update" (or so).
« Last Edit: December 13, 2018, 02:25:08 pm by RayoGlauco »
To err is human, but to really mess things up, you need a computer.

Zvoni

  • Full Member
  • ***
  • Posts: 197
Re: Install Lazarus 1.8.4 on Linux Mint 18.2
« Reply #3 on: December 13, 2018, 03:37:18 pm »
There is something funny i noticed at the end of october after my upgrade to Ubuntu 18.10 (yes, i know: this thread is for Mint, but Mint is based on Ubuntu, so FWIW):
i tried to update to Lazarus1.8.4-dfsg (or whatever the cryptic thing is) via Synaptic from official repo.
it failed.
I removed everything having to do with fpc/lazarus
Installed from Synaptic/Ubuntu-Repo. Worked!
Now the weird part: When i was reconfiguring the Lazarus-IDE to my taste, the recompiling of the IDE failed --> Units missing!!!
WTF?!?!?!?
Since i have a working Laz1.8.4-Installation on a Windows-PC, i searched the Folder-Tree on the Win-PC for those Units, and color me surprised: they were there.
OK, Synaptic --> Remove FPC/Lazarus
Download the deb's from here
install using sudo dpkg -i
Everything fine, no missing units, IDE recompiles etc.
NOW: What i found out (and to clarify: i'm in no way a Linux-expert):
The install from Synaptic/official Ubuntu-Repo uses different install-paths than installed via deb?!?!?!
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts